package com.m2pool.pool.service;


import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.pool.dto.BlockInfoDto;
import com.m2pool.pool.vo.*;

import java.util.List;

/**
 * @Description 矿池相关服务类
 * @Date 2024/6/14 11:40
 * @Author dy
 */
public interface PoolService {

    public AjaxResult getPoolInfo(CoinVo vo);

    public AjaxResult getPoolPower(CoinVo vo);

    public boolean checkAccount(MinerAccountAddVo vo);

    //public AjaxResult getMinerCount(CoinVo com.m2pool.chat.vo);


    public AjaxResult getLuckByCoin(CoinVo vo);

    public List<BlockInfoDto> getBlockInfoList(CoinVo vo);

    //public AjaxResult getPoolPowerDistribution(CoinVo com.m2pool.chat.vo);

    public AjaxResult getCoinBalanceList(BalanceListGetVo vo);

    public AjaxResult getNetPower(CoinVo vo);

    public AjaxResult getParam(CoinVo vo);

    public AjaxResult test2();

    public AjaxResult test1();


    /**
     * 根据矿工账号获取30m的平均算力
     * @param minerMhsVo
     * @return
     */
    AjaxResult getMinerPowerFor30min( MinerMhsVo minerMhsVo);


    /**
     * 数据补全
     * @param vo
     */
    String dataSupplement( DataSupplementVo vo);

    /**
     * 数据删除
     * @param vo
     * @return
     */
    String dataDelete(DataSupplementVo vo);
}
